#ifndef LEADSCHEME_H
#define LEADSCHEME_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include "navlistwidget.h"
#include "MoveButton.h"
#include <QList>
#include <QLineEdit>
#include "operatorjson.h"
#include <QApplication>
#include <QButtonGroup>
class LeadScheme:public QWidget
{
    Q_OBJECT
public:
    LeadScheme(QWidget * parent = NULL);
    virtual  ~LeadScheme();

    void init();
    bool initconnect();
    void initLay();
private:
    void reLay();
private slots:
    void  slotSave();
    void  slotNew();
    void  slotDelete();
    void  slotUpdateCurScheme();
private:
    QString m_CurScheme;
    QPushButton    m_btnNew;
    QPushButton    m_btndelete;
    QPushButton    m_btnCancel;
    QPushButton    m_btnOK;
    QVBoxLayout * m_vlayHH ;
    QList<MoveButton*> m_listMoveBtns;
    QLineEdit      m_editShecName;
    QList<QPushButton *> m_listBtnsSchemes;
     QButtonGroup *pButtonGroup0;
};
#endif // LEADSCHEME_H
